//  ALEADER.dcl  Copyright (C) March 15, 1994  Author: Carey L. Gilbert
//						       Independent Developer
//						       624 Van Caster Drive
//						       Green Bay, WI 54311-7131
//						       414-391-0424
//
//  This software is the sole property of Carey L. Gilbert and can
//  not be redistributed by any person or company without the
//  written permission of Carey L. Gilbert. This software can only
//  be used in accordance with the license agreement granted by
//  Carey L. Gilbert to an individual or company.
//
//  Carey L. Gilbert makes NO WARRANTY of any kind, either express
//  or implied, including but not limited to implied warranties of
//  merchantability and fitness for a particular purpose, with
//  respect to this software or its accompanying documentation.
//
//  In no event shall Carey L. Gilbert be liable for any damages
//  (including damages for loss of business profits, business
//  interruption, loss of business information, or other pecuniary
//  loss) arising out of the use of or inability to use this
//  software, even if Carey L. Gilbert has been advised of the
//  possibility of such damages.
//  ------------------------------------------------------------
//  The variables in this DCL file are used by protected LISP file ALEADER.lsp.
//  This files contents should NOT be altered or ALEADER.lsp may not function.
//  ------------------------------------------------------------
dcl_settings : default_dcl_settings { audit_level = 0; }

ald: dialog {
    label = "";
    key = "ald_title";
    initial_focus = "plac_ald";
    : row {
	: button {
	    label = "CONFIGURE";
	    mnemonic = "G";
	    key = "cfg_ald";
	}
	: button {
	    label = "CLEAR ALL TEXT";
	    mnemonic = "A";
	    key = "do_clear";
	}
	: button {
	    label = "REMOVE BLANK LINES";
	    mnemonic = "A";
	    key = "do_blank";
	}
	: button {
	    label = "GET DRAWING TEXT";
	    mnemonic = "D";
	    key = "get_text";
	}
    }
    : row {
	: column {
	    : row {
		height = 20;
		fixed_height = true;
		: boxed_radio_column {
		    label = "LEADER TO";
		    key = "txt_num";
		    : radio_button {
			label = "TOP";
			mnemonic = "T";
			key = "txtnum_1";
		    }
		    : radio_button {
			label = "CENTER";
			mnemonic = "C";
			key = "txtnum_2";
		    }
		    : radio_button {
			label = "BOTTOM";
			mnemonic = "B";
			key = "txtnum_3";
		    }
		}
		: boxed_column {
		    label = "LEADER TEXT ENTERED BELOW - TAB FOR NEXT LINE DOWN";
		    : edit_box {
			key = "aldnot_1";
			value = "";
			width = 57;
			fixed_width = true;
		    }
		    : edit_box {
			key = "aldnot_2";
			value = "";
			width = 57;
			fixed_width = true;
		    }
		    : edit_box {
			key = "aldnot_3";
			value = "";
			width = 57;
			fixed_width = true;
		    }
		    : edit_box {
			key = "aldnot_4";
			value = "";
			width = 57;
			fixed_width = true;
		    }
		    : edit_box {
			key = "aldnot_5";
			value = "";
			width = 57;
			fixed_width = true;
		    }
		    : edit_box {
			key = "aldnot_6";
			value = "";
			width = 57;
			fixed_width = true;
		    }
		    : edit_box {
			key = "aldnot_7";
			value = "";
			width = 57;
			fixed_width = true;
		    }
		    : edit_box {
			key = "aldnot_8";
			value = "";
			width = 57;
			fixed_width = true;
		    }
		    : edit_box {
			key = "aldnot_9";
			value = "";
			width = 57;
			fixed_width = true;
		    }
		    : edit_box {
			key = "aldnot_10";
			value = "";
			width = 57;
			fixed_width = true;
		    }
		}
	    }
	}
    }
    : row {
	: column {
	    : boxed_radio_row {
		label = "            TEXT JUSTIFICATION";
		key = "txt_jst";
		: radio_button {
		    label = "RIGHT or LEFT FROM LEADER";
		    mnemonic = "R";
		    key = "txtjst_1";
		}
		: radio_button {
		    label = "ALWAYS LEFT";
		    mnemonic = "L";
		    key = "txtjst_2";
		}
	    }
	    : button {
		label = "PLACE LEADER";
		mnemonic = "P";
		key = "plac_ald";
	    }
	}
	: column {
	    : text {
		label = "Min <Dragging Delay> Max";
	    }
	    : slider {
		key = "delay_slider";
		min_value = 0;
		max_value = 2000;
	    }
	    : button {
		label = "QUIT";
		mnemonic = "Q";
		key = "quit_ald";
		is_cancel = true;
	    }
	}
    }
}
cfgald: dialog {
   label = "LEADER VARIABLES";
   : row {
       : column {
	   width = 12;
	   fixed_width = true;
	   : boxed_row {
	   label = "TEXT HEIGHT";
	       : text {
		   label = "A>";
		   is_bold = true;
	       }
	       : edit_box {
		   label = "";
		   key = "dimvar_a";
		   value = "";
		   edit_width = 10;
	       }
	   }
	   : spacer { height = 0.2; }
	   : boxed_row {
	   label = "HORIZONTAL OFFSET";
	       : text {
		   label = "B>";
		   is_bold = true;
	       }
	       : edit_box {
		   label = "";
		   key = "dimvar_b";
		   value = "";
		   edit_width = 10;
	       }
	   }
	   : spacer { height = 0.2; }
	   : boxed_row {
	   label = "LINE SPACING";
	       : text {
		   label = "C>";
		   is_bold = true;
	       }
	       : edit_box {
		   label = "";
		   key = "dimvar_c";
		   value = "";
		   edit_width = 10;
	       }
	   }
       }
       : column {
	  : icon_image {
	      key	  = "dim_pic";
	      width = 30;
	      aspect_ratio = 0.724;
	      color = 0;
	  }
       }
   }
   : row {
       : text {
	   label = "                ENTER LAYER NAME <CURRENT>";
	   is_bold = true;
       }
   }
   : row {
       : boxed_row {
       label = "TEXT COLOR";
	   : text {
	       label = "";
	       key = "clr_txt";
	       width = 7;
	       fixed_width = true;
	       is_bold = true;
	   }
	   : image_button {
	       key = "pck_color";
	       height = 1.5;
	       fixed_height = true;
	       aspect_ratio = 1.0;
	   }
       }
       : boxed_row {
       label = "TO DRAW LEADER ON CURRENT LAYER";
	   : text {
	       label = "";
	       key = "lclr_txt";
	       width = 7;
	       fixed_width = true;
	       is_bold = true;
	   }
	   : image_button {
	       key = "lpck_color";
	       height = 1.5;
	       fixed_height = true;
	       aspect_ratio = 1.0;
	   }
	   : text {
	       label = "LAYER";
	       width = 5;
	       fixed_width = true;
	       is_bold = true;
	   }
	   : edit_box {
	       label = "";
	       key = "ald_lnam";
	       value = "";
	       edit_width = 12;
	   }
       }
   }
   : row {
       : button {
	   label = "SAVE";
	   mnemonic = "S";
	   key = "dim_save";
       }
       : button {
	   label = "QUIT";
	   mnemonic = "Q";
	   key = "cfg_quit";
	   is_cancel = true;
       }
   }
}
